Access Keys:
Skip to content (Access Key - 0)


HTTP API

A lightweight API provides the simplicity that you're looking for when wanting to enable your applications to send SMS messages. Sending a message is as easy as POSTing a web form.
The following limits are in place for this API.

  1. Only one recipient per connection. If you need to send to multiple recipients then you will need to loop through your recipient list sending to one each time.
  2. Message Status is not reported back via the API. The status will be updated and can be viewed by requesting a list of recent messages using the available feeds.
  3. Replies are not handled by the API. Replies can be viewed by requesting a list of recent messages using the available feeds.
  4. Message length is ignored by the API and messages are not split into parts.
    If your needs exceed these limits then consider using Bulletin Connect which offers a carrier grade API using a setup that is very similar to that described here but without the restrictions.

HTTP Overview

The HTTP API interface is composed of ONE method only

  1. to send a single message

To use the API simply post method parameters to the Bulletin Connect Lite server in the same way that a browser would submit a form.

To do this method parameters are first HTML form encoded and then submitted in an HTTP POST. This is simple and well supported in almost all development environments.

N.B. The number and order of parameters may vary. While the parameter names described in this document will not change, additional parameters may be added to the API from time to time.

Secure HTTPS

After you have tested your application you can add an additional layer of security by using an HTTPS connection simply by changing the API Host root URL to https://liteapi.bulletin.net/.

Bulletin Connect Lite API URL

Action HTTP Method URL to Use
Sending Messages POST http://liteapi.bulletin.net/api/1/sms/out

Sending Messages

Use HTTP POST to send messages to http://liteapi.bulletin.net/api/1/sms/out.
Recognised URL encoded parameters for sending messages are:

Name (case sensitive) Description Required?
userId User name for authentication (same as used for logging into the website) YES
password Your account password YES
to Destination Number in International Format YES, one item only
body Message Payload YES
Example URL String
http://liteapi.bulletin.net/api/1/sms/out?userId=yourId&password=yourEncodedPassword&to=recipientNumber&body=hello

Don't forget to use your encoded password and international number for the recipient.

Bulletin Connect Lite will respond to each and every HTTP request with one of the following result codes.

Code Meaning Action Required
204 Success! No action required
Note, if you use a browser to test your message syntax the browser will not show anything if you are successful. Only errors or warning will be displayed.
400 Bad Request examine status line for error message
401 Unauthorized Check you are using the correct URL as well as userId and password values
403 Forbidden Contact Bulletin.net
500 Internal Error Contact Bulletin.net

The userId and password are supplied to you by Bulletin.net when you sign up for a Bulletin Connect Lite account. You may pass them to the server as form encoded parameters, or in the HTTP Authorization header in Basic format.

The to parameter is the destination Number (MSISDN. For numbers, include the country code but do not include leading zeros, spaces, brackets or other formatting characters. To send a message to multiple recipients POST multiple times or configure groups in your online Address books.

The body parameter is used to pass the message. Messages can be up to 160 characters long. The allowable character set may vary depending on the destination network. In general characters from the GSM default character set are safe (see GSM 03.38). If you send longer messages they will be logged as POSTed but only the first 160 characters will be sent. Note, this may change at anytime and result in longer messages being delivered and charged for without warning.

For HTTP 204 the return headers will include a Message-Id that is unique to this message and will corrolate to the messageId and originalMessageId values in the
You can not receive individual message receipts using the API. Use the Message Feeds.

Receiving Message Receipt (status information)

You can not receive individual message receipts using the API. Use the Message Feeds to access message logs (including status information) using your code/application.

Message Feeds

Using a secure HTTP GET interface, this API offers access to the online Message Log to allow you to request a list of your recent messages that can be used in your application or software.

The details provided here are targeted at the application developer and it is assumes a knowledge of RSS and the HTTP web services.

Message Feed Details

Feed URL

Recent messages can be retreived from the following URL

Action HTTP Method URL to Use
Retreiving Recent Messages GET http://liteapi.bulletin.net/api/2/sms/list

Feed Parameters

Use HTTP GET to retrieve messages from http://liteapi.bulletin.net/api/2/sms/list.
Recognised URL encoded parameters for retrieving messages are:

Name (case sensitive) Valid Values Description Required?
userId String User name for authentication YES
password String Your account password. YES
format atom
rss
Default feed format is ATOM 1.0  
type out
reply
The type of messages to return, default type is to return both out and reply  

Your application will parse the resulting XML feed and display or manipulate your recent messages.

Details of your account including account balance, type and currency is included in the feed results. This will allow you to monitor your account status and initiate a payment before your service is restricted.

Feed Examples

ATOM Example Results

If your HTTP request has the format=atom parameter, or if the format parameter is omitted then the results will be in ATOM format ().

RSS Example Results

If your HTTP request has the format=rss parameter then the results will be in RSS format ().

If your needs exceed these limits then consider using Bulletin Connect which offers a carrier grade API using a setup that is very similar to that described here but without the restrictions.
Adaptavist Theme Builder (4.2.0) Powered by Atlassian Confluence 3.5.9, the Enterprise Wiki
Important Links: --- Bug / Task Tracker --- CRM System --- Bulletin Dashboard --- SDK --- Glossary --- FlexTXT --- Ask the Oracle